PHP Manual
Prev |  | Next

# ncurses_ungetmouse

(PHP 4 >= 4.2.0, PHP 5)

ncurses_ungetmouse -- Pushes mouse event to queue

## Description

bool ncurses_ungetmouse ( array mevent )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Pushes a KEY_MOUSE event onto the unput queue and associates with this event the given state sata and screen-relative character cell coordinates, specified in `mevent`.

## Parameters

`mevent`

  An associative array specifying the event options:

  - "id" : Id to distinguish multiple devices

  - "x" : screen relative x-position in character cells

  - "y" : screen relative y-position in character cells

  - "z" : currently not supported

  - "mmask" : Mouse action

## Return Values

Returns `FALSE` on success, `TRUE` otherwise.

## See Also

ncurses_getmouse()

Prev | Home | Next
ncurses_ungetch | Up | ncurses_update_panels